=== debian/changelog ===
swig4.1 (4.1.0-0.3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:23:45 +1100

swig4.1 (4.1.0-0.3ubuntu1) noble; urgency=medium

  * Build legacy package swig4.1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 16:11:57 +0100

swig (4.1.0-0.3) unstable; urgency=medium

  * Non-maintainer upload
  * Update octave files to work with Octave v8 (Closes: #1035684)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Jun 2023 02:06:37 -0300

swig (4.1.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert upstream patch for Py_LIMITED_API (Closes: #1024555)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Dec 2022 09:11:55 +0100

swig (4.1.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/copyright: Represent actual source URL
  * Mangle pre-release versions for correct ordering
  * New upstream version 4.1.0 (Closes: #1003479)
  * Drop upstream patches

  [ Debian Janitor ]
  * Apply multi-arch hints. + swig4.0-examples: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Mon, 31 Oct 2022 13:05:40 +0100

swig (4.0.2-2) unstable; urgency=medium

  [ Salman Mohammadi ]
  * Update documentation to reference libnode-dev instead of libv8-dev.
    The latter is a virtual package provided by libnode-dev.

  [ Jan Kiszka ]
  * Make swig compatible with Node 12 by applying 4 relevant upstream
    commits (closes: #990361).

  [ Torsten Landschoff ]
  * Apply upstream patch for using PCRE2 instead of the legacy PCRE
    library (closes: #999948).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 05 Feb 2022 23:46:44 +0100

swig (4.0.2-1) unstable; urgency=medium

  * New upstream release 4.0.2.
  * Drop upstream patches that are included in release 4.0.2:
    + fix_empty_docstrings.patch
    + ruby-globalmodule.patch
    + ruby2.7-support
  * Raise debhelper compat level from 9 to 10 (now configured in
    the control file instead of debian/compat).
    + Drop unneeded build-dependency on dh-autoreconf (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 14 Nov 2020 23:10:15 +0100

swig (4.0.1-5) unstable; urgency=medium

  * Fix segmentation fault with empty docstrings triggered by ltt-control
    by applying upstream patch (closes: #951839).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 23 Feb 2020 21:41:34 +0100

swig (4.0.1-4) unstable; urgency=medium

  * Apply upstream patch for ruby2.7 support (closes: #951623).
  * This required another upstream patch which fixes global
    variables for Ruby.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 21 Feb 2020 13:28:59 +0100

swig (4.0.1-3) unstable; urgency=high

  * Fix invocation of ccache-swig4.0, the program transform logic was
    dropped from Makefile.in by upstream.
  * Actually use the hardening build flags for ccache. My last
    attempt did actually set CPPFLAGS correctly but I missed another
    assignment overriding the correct value.
  * Enable salsa.debian.org CI integration in the source package.
  * debian/gbp.conf: Added gbp (git build package) configuration file.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 20 Feb 2020 23:00:38 +0100

swig (4.0.1-2.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * debian/: Replace all occurrences of swig3.0 with swig4.0.

  [ Ole Streicher ]
  * debian/swig.links: Update swig.links for version 4.0.
    (Closes: #951703)

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Feb 2020 14:46:05 -0500

swig (4.0.1-2) unstable; urgency=low

  * debian/control: Update Standards-Version to 4.5.0 (no changes).
  * Retarget to unstable.
  * debian/control: Mark swig, swig4.0-doc and swig4.0-examples as
    Multi-Arch: foreign as suggested by the multiarch hinter.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Feb 2020 21:13:39 +0100

swig (4.0.1-1) experimental; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass --host to ./configure
    (closes: #920734).

  [ Torsten Landschoff ]
  * New upstream release 4.0.1 (closes: #928375).

    + Create builddir/Source/CParse in configure phase and touch
      Source/parser.y to ensure that the parser is generated with the
      current bison package.

      No idea why builddir/Source/CParse is no longer created by
      running configure as in swig 3.0.12.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 18 Jan 2020 23:22:45 +0100

swig (3.0.12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use PyObject_GC_UnTrack instead of the macro _PyObject_GC_UNTRACK,
    removed in Python 3.8. Closes: #942706.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2019 16:27:42 +0200

swig (3.0.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Hilko Bengen ]
  * Include all examples in the swig3.0-examples package (closes: #924487).

  [ Torsten Landschoff ]
  * Use CPPFLAGS for ccache build as well.

  [ Sébastien Villemot ]
  * octave5.patch: new patch, ensures Octave 5 compatibility (Closes: #941746).

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Oct 2019 21:26:54 +0200

swig (3.0.12-2) unstable; urgency=low

  * tracker.d.o: Update Vcs-* control fields to point to the new repository on
    salsa.d.o.
  * Remove build dependencies that are only required for testing
    the build (closes: #752938).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 27 Jan 2019 19:57:54 +0100

swig (3.0.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * python-fix-function-cast-warnings.patch: Fix GCC8 warnings in generated
    Python code. (Closes: #897857)
  * python-fix-gcc8-strncpy-warning.patch: Fix more GCC8 warnings in generated
    Python code.
  * fix-gcc8-memset-warnings.patch: Fix GCC8 warnings in generated code for
    various languages.

 -- Olly Betts <olly@survex.com>  Fri, 10 Aug 2018 12:48:36 +1200

swig (3.0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.

